/**
 * 
 */
package simulation;

/**
 * Class holding the chemical shift information
 * @author marat
 */
public class ShiftInfo 
{
	public  ShiftInfo()		// constructor, initialize values
	{
		type = "";
		freq = 0.0;
		species = "";
		spin = 1;
		label = "";
		iterate = false;
	}

	public String type;			// number of spins and symmetry 
	public double freq;			// chemical shift in Hz
	public String species;		// species identifier 
	public int spin;			// the spin identifier (twice actual spin) 
	public String label;		// a chemical shift label 
	public boolean iterate;    	// iterate on this shift? 
}
