package spinworks;

/**
 * The data file header for Varian data.  Adapted from Varian User Programming manual
 * @author marat
 */
public class DataFileHeader extends FileUtilVarian
{
	 public DataFileHeader()	// constructor, initialize defaults
     {
         nblocks = 1;
         ntraces = 1;
         np = 0;
         ebytes = 0;
         tbytes = 0;
         bbytes = 0;
         vers_id = 0;
         status = 0;
         nbheaders = 1;
     }
	 								// byte index (offset)
     public int nblocks;			// 0
     public int ntraces;			// 4
     public int np;					// 8 
     public int ebytes;				// 12
     public int tbytes;				// 16
     public int bbytes;				// 20
     public short vers_id;			// 24
     public short status;			// 26
     public int nbheaders;			// 28
}
