package spinworks;

/**
 * A class for holdinging information (sizes, offsets, scaling, etc.) for print inset boxes
 * @author marat
 *
 */
public class PrintInsetBox implements Cloneable
{
	public PrintInsetBox(global_par gp)	// constructor
	{
		gp.n_boxes++;
		active = true;
		yscale = gp.expt_scale;
		calc_yscale = gp.calc_scale;
	}

//-------------------------------------------------------------------------------------------------
//calculate printed page sizes based on parameter list
	public void calc_sizes(int x, int y, int width, int height)
	{
		page_width = ((float)width / (float)SW_main.gp.dxsize) * (float)SW_main.gp.plot_xsize;
		page_height = ((float)height / (float)SW_main.gp.dysize) * (float)SW_main.gp.plot_ysize;
		
		page_x = ((float)(x - SW_main.windowLocation.x)				
				/ (float)SW_main.gp.dxsize) * (float)SW_main.gp.plot_xsize;
		
		page_y = ((float)(y - SW_main.windowLocation.y - 50 ) 
				/ (float)SW_main.gp.dysize) * (float)SW_main.gp.plot_ysize;
		
		if(page_x < 0.0) page_x = (float) 0.0;
		if(page_y < 0.0) page_y = (float) 0.0;
	}

//-------------------------------------------------------------------------------------------------
// probably not needed for this class
	protected Object clone() throws CloneNotSupportedException 
	{
        return super.clone();
    }

//-------------------------------------------------------------------------------------------------
	public boolean active;

	public float page_x;
	public float page_y;
	public float page_width;
	public float page_height;

	public double freq1;
	public double freq2;
	public double freq1_indirect;
	public double freq2_indirect;

	public double yscale;
	public double calc_yscale;
}
