package spinworks;

public class RecentFiles 
{
	public RecentFiles(int n)							// constructor
	{
		file_path = new String[n];
		seq_name = new String[n];
		short_text = new String[n];
		n_files = n;
	}

	public void add_file(String path, String sequence, String text)
	{
		for (int i = 0; i < n_files; i++)				// dupe check
			if (path.equals(file_path[i])) return;
		
		path = path.replace(';', ' ');					// remove oan ";" char as
		sequence = sequence.replace(';', ' ');			// it is used as a separator			
		text = text.replace(';', ' ');					// in the "registry"
		text = text.replace('\n', ' ');					// also get rid of CR/LF
		text = text.replace('\r', ' ');
		text = text.substring(0, Math.min(text.length()-1, 40));	// and shorten the text

		String[] temp_path = new String[n_files - 1];	// somewhat wasteful
		String[] temp_seq = new String[n_files - 1];	// somewhat wasteful
		String[] temp_text = new String[n_files - 1];	// somewhat wasteful

		for (int i = 0; i < n_files - 1; i++)			// bump list down one
		{
			temp_path[i] = file_path[i];
			temp_seq[i] = seq_name[i];
			temp_text[i] = short_text[i];
		}

		file_path[0] = path;							// add new entry to top of list
		seq_name[0] = sequence;
		short_text[0] = text;

		for (int i = 1; i < n_files; i++)
		{
			file_path[i] = temp_path[i - 1];
			seq_name[i] = temp_seq[i - 1];
			short_text[i] = temp_text[i - 1];
		}
	}

	public String[] file_path;
	public String[] seq_name;
	public String[] short_text;
	public int n_files;
}
