/**
 * 
 */
package simulation;

/**
 * Class holding Scalar or Dipolar coupling information
 * @author marat
 */
public class Coupling 
{
	public Coupling(int n)	// constructor, initialize values
	{
		value	= new double[n][n];	
		iterate = new boolean[n][n];
		index	= new int[n][n];

		for (int i = 0; i < n; i++)
			for (int j = 0; j < n; j++)
			{
				value[i][j] = 0.0;
				iterate[i][j] = false;
				index[i][j] = 0;
			}
	}

	public double[][] value;		// coupling value in Hz.
	public boolean[][] iterate;		// iterate on this coupling?
	public int[][] index;			// index of a coupling in the dialog
}
