package spinworks;

/**
 * The data block header for Varian data.  Adapted from Varian User Programming manual
 * @author marat
 */
public class DataBlockHeader extends FileUtilVarian
{
	public DataBlockHeader()	// constructor, initialize defaults
	{
		scale = (short)0;
		status = (short)0;
		index = (short)0;
		mode = (short)0;
		ctcount = 0;
		lpval = (float)0.0;
		rpval = (float)0.0;
		lvl = (float)0.0;
		tlt = (float)0.0;
	}
								// byte index (offset)
	public short scale;			// 0
	public short status;		// 2
	public short index;			// 4
	public short mode;			// 6
	public int ctcount;		    // 8
	public float lpval;		    // 12
	public float rpval;		    // 16
	public float lvl;			// 20
	public float tlt;			// 24
}
