package spinworks;

public class IntegInfo implements Cloneable
{
//-------------------------------------------------------------------------------------------------
// The structure holding the integral information 

		protected Object clone() throws CloneNotSupportedException 
		{
	        return super.clone();
	    }		
//--------------------------------------------------------------------------------------------------
		public double start;		    // starting frequency in Hz 
		public double end; 		        // ending frequency in Hz. 
		public double start_f1;	        // starting frequency in Hz., F1
		public double end_f1; 		    // ending frequency in Hz., F1 
		public double value;		    // raw integral value	
		public double scaled; 		    // scaled integral value 
		public double bias;             // integral bias value
		public double slope;            // integral slope value
		public int point1;		        // coordinates for 2D
		public int point2;
		public int point1_f1;
		public int point2_f1;
		public String label;			// label attached to 2D integral
}
