package spinworks;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;

import dialogs.ScaleDialog;

public class ROI_MenuListeners extends SW_main
{
	public static void addROI_MenuListeners()
	{
		protonSurveyItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				gp.freq1 = 9.5 * q.SF; gp.freq2 = -0.5 * q.SF;
				update_spect = true;
				canvas.redraw();
			}
		});
		
		carbonSurveyItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				gp.freq1 = 210.0 * q.SF; gp.freq2 = -10.0 * q.SF;
				update_spect = true;
				canvas.redraw();
			}
		});
		
		scale5HzCmItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				gp.freq2 = gp.freq1 - (5.0 * gp.plot_xsize /10.0);
				update_spect = true;
				canvas.redraw();
			}
		});
		
		scale10HzCmItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				gp.freq2 = gp.freq1 - (10.0 * gp.plot_xsize /10.0);
				update_spect = true;
				canvas.redraw();
			}
		});
		
		scale20HzCmItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				gp.freq2 = gp.freq1 - (20.0 * gp.plot_xsize /10.0);
				update_spect = true;
				canvas.redraw();
			}
		});
		
		scalep1ppmCmItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				gp.freq2 = gp.freq1 - (0.1 * q.SF * gp.plot_xsize / 10.0);
				update_spect = true;
				canvas.redraw();
			}
		});
		
		scale1ppmCmItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				gp.freq2 = gp.freq1 - (1.0 * q.SF * gp.plot_xsize / 10.0);
				update_spect = true;
				canvas.redraw();
			}
		});
		
		scale5ppmCmItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				gp.freq2 = gp.freq1 - (5.0 * q.SF * gp.plot_xsize / 10.0);
				update_spect = true;
				canvas.redraw();
			}
		});
		
		scale10ppmCmItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				gp.freq2 = gp.freq1 - (10.0 * q.SF * gp.plot_xsize / 10.0);
				update_spect = true;
				canvas.redraw();
			}
		});
		
		scale20ppmCmItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				gp.freq2 = gp.freq1 - (20.0 * q.SF * gp.plot_xsize / 10.0);
				update_spect = true;
				canvas.redraw();
			}
		});
		
		scaleUserDefinedItem.addSelectionListener  (new SelectionAdapter() 
		{
			@Override
			public void widgetSelected(SelectionEvent e) 
			{
				ScaleDialog dlg = new ScaleDialog(shell, 
 						SWT.APPLICATION_MODAL | SWT.TITLE | SWT.BORDER );
				dlg.open();
				update_spect = true;
				canvas.redraw();
			}
		});
	}
//-------------------------------------------------------------------------------------------------
}
